Package wx :: Class MouseState

[frames | no frames]

## Type MouseState

    object --+
             |
            MouseState

`wx.MouseState` is used to hold information about mouse button and modifier key states and is what is returned from `wx.GetMouseState`.

Method Summary
MouseState | ``__init__`(self)` `wx.MouseState` is used to hold information about mouse button and modifier key states and is what is returned from `wx.GetMouseState`.
| `__del__(self)`
bool | `AltDown(self)`
bool | `CmdDown(self)`
bool | `ControlDown(self)`
int | `GetX(self)`
int | `GetY(self)`
bool | `LeftDown(self)`
bool | `MetaDown(self)`
bool | `MiddleDown(self)`
bool | `RightDown(self)`
| `SetAltDown(self, down)`
| `SetControlDown(self, down)`
| `SetLeftDown(self, down)`
| `SetMetaDown(self, down)`
| `SetMiddleDown(self, down)`
| `SetRightDown(self, down)`
| `SetShiftDown(self, down)`
| `SetX(self, x)`
| `SetY(self, y)`
bool | `ShiftDown(self)`

Property Summary
| `altDown`
| `cmdDown`
| `controlDown`
| `leftDown`
| `metaDown`
| `middleDown`
| `rightDown`
| `shiftDown`
| `thisown`: The membership flag
| `x`
| `y`

Method Details

### __init__(self)
(Constructor)

`wx.MouseState` is used to hold information about mouse button and modifier key states and is what is returned from `wx.GetMouseState`.

  Returns:
    MouseState
  Overrides:
    `__builtin__.object.__init__`

Property Details

### altDown

  Get Method:
    `AltDown`(self)
  Set Method:
    `SetAltDown`(self, down)

### cmdDown

  Get Method:
    `CmdDown`(self)

### controlDown

  Get Method:
    `ControlDown`(self)
  Set Method:
    `SetControlDown`(self, down)

### leftDown

  Get Method:
    `LeftDown`(self)
  Set Method:
    `SetLeftDown`(self, down)

### metaDown

  Get Method:
    `MetaDown`(self)
  Set Method:
    `SetMetaDown`(self, down)

### middleDown

  Get Method:
    `MiddleDown`(self)
  Set Method:
    `SetMiddleDown`(self, down)

### rightDown

  Get Method:
    `RightDown`(self)
  Set Method:
    `SetRightDown`(self, down)

### shiftDown

  Get Method:
    `ShiftDown`(self)
  Set Method:
    `SetShiftDown`(self, down)

### thisown

The membership flag

### x

  Get Method:
    `GetX`(self)
  Set Method:
    `SetX`(self, x)

### y

  Get Method:
    `GetY`(self)
  Set Method:
    `SetY`(self, y)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:20 2007 | http://epydoc.sf.net